Error permanente no me deja instalar nada! [Solucionado]

Imagen de nanorul3s
0 puntos

Saludos

Bueno soy un poco novato con el asunto de GNU/Linux pero hago mi mayor esfuerzo, mi problema lo voy a describir corto, traté de instalar un programa de 32bits en mi sistema operativo de 64 y para hacer esto tuve que agregar:

sudo apt-get install ia32-libs

Este comando me dió error y desde ahí en adelante cada vez que trato de instalar algo con el apt me da el siguiente error:

E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Absolutamente para todo, no importa que desee instalar asi sea lo más sencillo, y en la parte superior aparece un simbolo de error en rojo siempre; dice que es debido al tratar de instalar paquetes con dependencias desconocidas, me gustaría saber si puedo solucionar esto, o puedo dejar algun kernel anterior y eliminar este donde el problema persiste, o que puedo hacer?

Gracias

Imagen de hectorsales
+1
0
-1

prueba el siguiente comando: (Resuelve problemas con dependencias).

sudo apt-get -f install

Saludos.

+1
0
-1

Ubuntu 14.04 LTS

Imagen de nanorul3s
+1
0
-1

Lo he intentado ya, no funciona... Siempre aparece el mismo error aunque force las dependencias, no me deja instalar nada. Gracias de todos modos por su aporte.

+1
0
-1

No seas humilde, no eres tan grande. "Golda Meir"

Imagen de cuentos
+1
0
-1

en la terminal ejecuta estos comandos:
sudo su
dpkg --add-architecture i386
apt-get update
apt-get install --no-install-recommends ia32-libs
Fuente: en otro foro, y que lo e probado y funciona en ubuntu 13.04:
http://www.espaciolinux.com/foros/tema51635.html

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de nanorul3s
+1
0
-1

Después de haer los pasos al pie de la letra al final me dió esto, creo que me da el mismo error.

ia32-libs is already the newest version.
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
guitarpro6:i386 : Depends: libportaudio0:i386 but it is not going to be installed
Depends: libportaudio2:i386 but it is not going to be installed
Depends: gksu:i386 but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

+1
0
-1

No seas humilde, no eres tan grande. "Golda Meir"

Imagen de cuentos
+1
0
-1

ya traes el problema desde antes, yo lo instale sin problema alguno.
y como te dice el error. "ia32-libs is already the newest version.".
Y creo que mejor des-instala: guitarpro6:i386, , y actualizas el sistema que ya no te de error, y luego intentas a instalar guitarpro.

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de nanorul3s
+1
0
-1

Y como desintalo guitarpro:i386???
Gracias

+1
0
-1

No seas humilde, no eres tan grande. "Golda Meir"

Imagen de cuentos
+1
0
-1

Veamos desde el principio. Me imagino que instalaste un repositorio externo o sea un PPA.
Para ver primero ejecuta este comando en la terminal:
ls -l /etc/apt/sources.list.d

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de nanorul3s
+1
0
-1

Estos son los repositorios que aparecen, no veo ninguno que tenga que ver con guitarpro:i386 excepto el de java creo, y si es ese el problema como lo quito?

-rw-r--r-- 1 root root 180 jul 26 17:51 google-talkplugin.list
-rw-r--r-- 1 root root 180 jul 26 17:51 google-talkplugin.list.save
-rw-r--r-- 1 root root 189 jul 26 17:51 lookit-ppa-raring.list
-rw-r--r-- 1 root root 189 jul 26 17:51 lookit-ppa-raring.list.save
-rw-r--r-- 1 root root 142 jul 26 17:51 network-manager-ppa-raring.list
-rw-r--r-- 1 root root 142 jul 26 17:51 network-manager-ppa-raring.list.save
-rw-r--r-- 1 root root 130 jul 26 17:51 shnatsel-zram-raring.list
-rw-r--r-- 1 root root 130 jul 26 17:51 shnatsel-zram-raring.list.save
-rw-r--r-- 1 root root 97 jul 26 17:51 skype.list
-rw-r--r-- 1 root root 97 jul 26 17:51 skype.list.save
-rw-r--r-- 1 root root 126 jul 26 17:51 stvs-tomate-raring.list
-rw-r--r-- 1 root root 126 jul 26 17:51 stvs-tomate-raring.list.save
-rw-r--r-- 1 root root 130 jul 26 17:51 tualatrix-ppa-raring.list
-rw-r--r-- 1 root root 130 jul 26 17:51 tualatrix-ppa-raring.list.save
-rw-r--r-- 1 root root 136 jul 26 17:51 webupd8team-java-raring.list

+1
0
-1

No seas humilde, no eres tan grande. "Golda Meir"

Imagen de cuentos
+1
0
-1

repositorio "principal" de ubuntu, igual en la terminal ejecuta, y pones lo que te sale.
cat /etc/apt/sources.list

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de nanorul3s
+1
0
-1

# deb cdrom:[Ubuntu 13.04 _Raring Ringtail_ - Release amd64 (20130424)]/ raring main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://co.archive.ubuntu.com/ubuntu/ raring main restricted
deb-src http://co.archive.ubuntu.com/ubuntu/ raring main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://co.archive.ubuntu.com/ubuntu/ raring-updates main restricted
deb-src http://co.archive.ubuntu.com/ubuntu/ raring-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://co.archive.ubuntu.com/ubuntu/ raring universe
deb-src http://co.archive.ubuntu.com/ubuntu/ raring universe
deb http://co.archive.ubuntu.com/ubuntu/ raring-updates universe
deb-src http://co.archive.ubuntu.com/ubuntu/ raring-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://co.archive.ubuntu.com/ubuntu/ raring multiverse
deb-src http://co.archive.ubuntu.com/ubuntu/ raring multiverse
deb http://co.archive.ubuntu.com/ubuntu/ raring-updates multiverse
deb-src http://co.archive.ubuntu.com/ubuntu/ raring-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://co.archive.ubuntu.com/ubuntu/ raring-backports main restricted universe multiverse
deb-src http://co.archive.ubuntu.com/ubuntu/ raring-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu raring-security main restricted
deb-src http://security.ubuntu.com/ubuntu raring-security main restricted
deb http://security.ubuntu.com/ubuntu raring-security universe
deb-src http://security.ubuntu.com/ubuntu raring-security universe
deb http://security.ubuntu.com/ubuntu raring-security multiverse
deb-src http://security.ubuntu.com/ubuntu raring-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu raring partner
# deb-src http://archive.canonical.com/ubuntu raring partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu raring main
deb-src http://extras.ubuntu.com/ubuntu raring main

Esto es lo que aparece =(

+1
0
-1

No seas humilde, no eres tan grande. "Golda Meir"

Imagen de nanorul3s
+1
0
-1

Bueno, lo que hice fue desintalar las librerias ia32-libs y el guitarpro6:i386 desde el gestor de paquetes Synaptic y todo volvió a la normalidad el apt funciona bien ahora.

+1
0
-1

No seas humilde, no eres tan grande. "Golda Meir"